Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum AutocompleteMode

    java.lang.Object
      java.lang.Enum<AutocompleteMode>
          org.richfaces.component.AutocompleteMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AutocompleteMode>

    public enum AutocompleteMode

extends java.lang.Enum<AutocompleteMode>

Author:
  Nick Belaevski

Enum Constant Summary
`ajax`
`cachedAjax`
`client`
`lazyClient`

Field Summary
`static AutocompleteMode` | `DEFAULT`

Method Summary
`static AutocompleteMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AutocompleteMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### client

    public static final AutocompleteMode client

### lazyClient

    public static final AutocompleteMode lazyClient

### ajax

    public static final AutocompleteMode ajax

### cachedAjax

    public static final AutocompleteMode cachedAjax

Field Detail

### DEFAULT

    public static final AutocompleteMode DEFAULT

Method Detail

### values

    public static AutocompleteMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AutocompleteMode c : AutocompleteMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AutocompleteMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.